Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::LogFactory Class Reference

This interface must be implemented to create a Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::LogFactory:
[legend]

List of all members.

## Public Member Functions

virtual | ~LogFactory ()
virtual Log * | create ()=0
virtual Log * | create (const SessionID &)=0
virtual void | destroy (Log *)=0

## Detailed Description

This interface must be implemented to create a Log.

Definition at line 42 of file Log.h.

## Constructor & Destructor Documentation

virtual FIX::LogFactory::~LogFactory | ( |  | ) | `[inline, virtual]`

Definition at line 45 of file Log.h.

    00045 {}

## Member Function Documentation

virtual Log* FIX::LogFactory::create | ( | const SessionID & |  | ) | `[pure virtual]`

Implemented in FIX::FileLogFactory, and FIX::ScreenLogFactory.

virtual Log* FIX::LogFactory::create | ( |  | ) | `[pure virtual]`

Implemented in FIX::FileLogFactory, and FIX::ScreenLogFactory.

Referenced by FIX::Session::Session().

virtual void FIX::LogFactory::destroy | ( | Log * |  | ) | `[pure virtual]`

Implemented in FIX::FileLogFactory, and FIX::ScreenLogFactory.

Referenced by FIX::Acceptor::~Acceptor(), FIX::Initiator::~Initiator(), and FIX::Session::~Session().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Log.h